<?php

namespace zaya\Contracts;

abstract class BasePostTypeColumns
{
    protected $post_types;

    protected $column_key;

    protected $column_name;

    public function __construct()
    {
        if (! is_array($this->post_types)) {
            return;
        }

        foreach ($this->post_types as $name) {
            add_filter("manage_{$name}_posts_columns", [
                &$this,
                'column',
            ]);
            add_filter("manage_{$name}_posts_custom_column", [
                &$this,
                'content',
            ], 10, 3);
        }
    }

    abstract public function content($column, $post_id);

    public function column($columns)
    {
        $columns[$this->column_key] = $this->column_name;

        return $columns;
    }
}