<?php

namespace zaya\Core;

class View
{
    public static function load($view, $data = [])
    {
        $view = self::getViewFullPath($view);
        if (! file_exists($view) || ! is_readable($view)) {
            echo "Error: view not exists!";

            return;
        }
        ob_start();
        extract($data);
        include $view;
        echo ob_get_clean();
    }

    public static function render($view, $data = [])
    {
        $view = self::getViewFullPath($view);
        if (! file_exists($view) || ! is_readable($view)) {
            echo "Error: view not exists!";

            return;
        }
        ob_start();
        extract($data);
        include $view;

        return ob_get_clean();
    }

    public static function getViewFullPath($view)
    {
        $view = str_replace('.', DIRECTORY_SEPARATOR, $view);

        return ZAYA_VIEW_PATH . "$view.php";
    }
}