<?php

namespace zaya\Custom\Columns;

use zaya\Services\Config\Config;
use zaya\Services\Translate\Trans;
use zaya\Contracts\BasePostTypeColumns;

class ShortLinkColumn extends BasePostTypeColumns
{
    public function __construct()
    {
        $this->post_types = zayaPostTypes();

        $this->column_key = 'short_link';

        $this->column_name = Trans::get('table.short_url');

        parent::__construct();
    }

    public function content($column, $post_id)
    {
        if ($column == 'short_link') {
            $dataLink = json_decode(get_post_meta($post_id, Config::get('app.key_meta_box'), true), false, JSON_UNESCAPED_UNICODE);
            echo '<script>function copy_clipboard(elm) {
                  let copyText = elm.nextElementSibling;
                  copyText.select();
                  copyText.setSelectionRange(0, 99999)
                  document.execCommand("copy");
            }</script>';
            $clipboard = '<span style="background-color:#aaa;font-size: 8px;color: #fff;padding: 5px;border-radius: 4px;'
                . 'margin-left: 10px;cursor: pointer" id="copy_clipboard" onClick="copy_clipboard(this)">Copy</span>';
            echo $dataLink ? $clipboard . '<input style="border:0;background-color:transparent;outline:0" value="' . $dataLink->short_url . '">' : '—';

            return;
        }

        return $column;
    }
}