<?php

namespace zaya\Custom\Shortcodes;

use zaya\Core\View;
use zaya\Utilities\Meta;
use zaya\Utilities\Metabox;
use zaya\Services\Config\Config;

class ShortLinkShortcode
{
    public function __construct()
    {
        add_shortcode('zaya_short_link', [
            &$this,
            'shortLink',
        ]);

        add_shortcode('zaya_box_short_link', [
            &$this,
            'boxShortLink',
        ]);
    }

    public function shortLink()
    {
        $post_id = get_the_ID();
        if (Meta::exists_shortlink($post_id)) {
            $data = json_decode(get_post_meta($post_id, Config::get('app.key_meta_box'), true), 512, JSON_UNESCAPED_UNICODE);

            return $data['short_url'];
        }
        $response = Metabox::create(get_the_permalink($post_id));
        Meta::update_shortlink($response, $post_id);

        return $response->data->short_url;
    }

    public function boxShortLink()
    {
        $post_id = get_the_ID();
        if (! Meta::exists_shortlink($post_id)) {
            return;
        }
        $data = json_decode(get_post_meta($post_id, Config::get('app.key_meta_box'), true), 512, JSON_UNESCAPED_UNICODE);

        return View::render('partials.box-short-link', compact('data'));
    }
}