<?php

namespace zaya\Repositories;

use zaya\Contracts\BaseRepo;

class Domains extends BaseRepo
{
    protected static $instance;

    public function all($searchKey = '', $sort = 'desc')
    {
        return $this->curl->setJsonType()->get(zayaGetApiUrl('domains'), [
            'search' => $searchKey,
            'sort' => $sort,
        ]);
    }

    public function detail($id)
    {
        return $this->curl->setJsonType()->get(zayaGetApiUrl("domains/$id"));
    }

    public function store(array $data)
    {
        return $this->curl->setContentType()->post(zayaGetApiUrl('domains'), $data);
    }

    public function update($id, $data)
    {
        return $this->curl->setContentType()->put(zayaGetApiUrl("domains/$id"), $data);
    }

    public function delete($id)
    {
        return $this->curl->delete(zayaGetApiUrl("domains/$id"));
    }
}