<?php

namespace zaya\Repositories;

use zaya\Contracts\BaseRepo;
use zaya\Services\Config\Config;

class Links extends BaseRepo
{
    protected static $instance;

    public function all($paged = 1, $space, $searchKey = '')
    {
        return $this->curl->setJsonType()->get(zayaGetApiUrl('links'), [
            'page' => $paged,
            'search' => $searchKey,
            'by' => 'title',
            'space' => $space,
        ]);
    }

    public function detail($id)
    {
        return $this->curl->setJsonType()->get(zayaGetApiUrl("links/$id"));
    }

    public function store(array $data)
    {
        return $this->curl->setContentType()->post(zayaGetApiUrl('links'), $data);
    }

    public function update($id, $data)
    {
        return $this->curl->setContentType()->put(zayaGetApiUrl("links/$id"), $data);
    }

    public function delete($id)
    {
        return $this->curl->delete(zayaGetApiUrl("links/$id"));
    }
}