<?php

namespace zaya\Setup;

use zaya\Services\Config\Config;

class Enqueue
{
    public function __construct()
    {
        add_action('admin_enqueue_scripts', [
            &$this,
            'admin_enqueue',
        ]);
    }

    public function admin_enqueue()
    {
        $this->styles();
        $this->scripts();
    }

    private function styles()
    {
        wp_enqueue_style('zaya-style', zayaGetAsset('css/admin.css'));
        wp_enqueue_style('zaya-persian-datepicker', zayaGetAsset('plugins/persian-datepicker/persian-datepicker.min.css'));
    }

    private function scripts()
    {
        wp_register_script('zaya-jquery', zayaGetAsset('plugins/jquery.min.js'), false, false, false);
        wp_enqueue_script('zaya-jquery');
        wp_register_script('zaya-persian-date', zayaGetAsset('plugins/persian-datepicker/persian-date.min.js'), ['zaya-jquery'], false, false);
        wp_enqueue_script('zaya-persian-date');
        wp_register_script('zaya-persian-datepicker', zayaGetAsset('plugins/persian-datepicker/persian-datepicker.min.js'), ['zaya-jquery'], false, false);
        wp_enqueue_script('zaya-persian-datepicker');
    }
}