<?php

namespace zaya\Utilities;

use zaya\Services\Config\Config;
use zaya\Services\Translate\Trans;

class Meta
{
    public static function exists_shortlink($post_id)
    {
        $meta = get_post_meta($post_id, 'zaya_short_link', true);
        $data = get_post_meta($post_id, Config::get('app.key_meta_box'), true);

        return ! is_null($meta) && ! empty($meta) && ! empty($data);
    }

    public static function update_shortlink($response, $post_id)
    {
        if (! isset($response->data)) {
            FlashMessages::queue_flash_message(Trans::get('meta-box.duplicate'), 'notice-failed');

            return delete_post_meta($post_id, Config::get('app.key_meta_box'));
        }
        $date = [
            'id' => $response->data->id,
            'short_url' => $response->data->short_url,
            'alias' => $response->data->alias,
        ];
        if (! is_null($response->data->domain)) {
            $date['domain'] = $response->data->domain;
        }
        update_post_meta($post_id, Config::get('app.key_meta_box'), json_encode($date, JSON_UNESCAPED_UNICODE));
        update_post_meta($post_id, 'zaya_short_link', $response->data->short_url);
    }
}