<?php

namespace zaya\Utilities;

use zaya\Repositories\Links;
use zaya\Services\Config\Config;

class Metabox
{
    public static function create($url)
    {
        $data = [
            'url' => $url,
            'space' => get_option(Config::get('app.posts_space_key')),
        ];
        $default_domain = get_option('zaya_default_domain');
        if ($default_domain === false) {
            return Links::getInstance()->store($data);
        }
        $data['domain'] = $default_domain;

        return Links::getInstance()->store($data);
    }

    public static function update($id, $url, $alias, $domain)
    {
        $data = [
            'alias' => $alias,
            'url' => $url,
        ];
        $default_domain = get_option('zaya_default_domain');
        if ($default_domain == $domain) {
            return Links::getInstance()->update($id, $data);
        }
        $data['domain'] = $default_domain;

        return Links::getInstance()->update($id, $data);
    }
}