<?php

namespace zaya\Utilities;

use zaya\Repositories\Spaces;
use zaya\Services\Config\Config;

class Space
{
    public static function existsDefaultSpace()
    {
        if (! ($spaces = Spaces::getInstance()->all())) {
            return false;
        }
        $spaces = $spaces->data;
        if (is_array($spaces) && ! empty($spaces)) {
            $exists = false;
            foreach ($spaces as $space) {
                if ($space->name == Config::get('app.posts_space_name')) {
                    update_option(Config::get('app.posts_space_key'), $space->id);
                    $exists = true;
                } elseif ($space->name == Config::get('app.others_space_name')) {
                    update_option(Config::get('app.others_space_key'), $space->id);
                    $exists = true;
                }
                continue;
            }

            return $exists;
        }

        return false;
    }

    public static function createDefaultSpace()
    {
        $zaya = Spaces::getInstance();
        $spaces = $zaya->all();
        if (! self::existsSpace(Config::get('app.posts_space_name'), $spaces->data)) {
            $post = $zaya->store([
                'name' => Config::get('app.posts_space_name'),
                'color' => 1,
            ]);
            update_option(Config::get('app.posts_space_key'), $post->data->id);
        } else {
            update_option(Config::get('app.posts_space_key'), self::getSpaceId(Config::get('app.posts_space_name'), $spaces->data));
        }
        if (! self::existsSpace(Config::get('app.others_space_name'), $spaces->data)) {
            $other = $zaya->store([
                'name' => Config::get('app.others_space_name'),
                'color' => 1,
            ]);
            update_option(Config::get('app.others_space_key'), $other->data->id);
        } else {
            update_option(Config::get('app.others_space_key'), self::getSpaceId(Config::get('app.others_space_name'), $spaces->data));
        }
    }

    private static function existsSpace($name, $spaces)
    {
        if (count($spaces) <= 0) {
            return;
        }
        foreach ($spaces as $item) {
            if ($item->name == $name) {
                return true;
            }
        }
    }

    private static function getSpaceId($name, $spaces)
    {
        if (count($spaces) <= 0) {
            return;
        }
        foreach ($spaces as $item) {
            if ($item->name == $name) {
                return $item->id;
            }
        }
    }
}