<?php

use zaya\Core\View;
use zaya\Utilities\Auth;
use zaya\Services\Config\Config;
use zaya\Services\Translate\Trans;

if (! function_exists('dd')) {
    function dd($data)
    {
        var_dump($data);
        die();
    }
}

if (! function_exists('zayaGetApiUrl')){
    function zayaGetApiUrl($uri)
    {
        return \zaya\Services\Config\Config::get('app.api_base_url').ltrim($uri, '/');
    }
}

if (! function_exists('zayaTrans')) {
    function zayaTrans($str)
    {
        return Trans::get($str);
    }
}

if (! function_exists('zayaConfig')) {
    function zayaConfig($str)
    {
        return Config::get($str);
    }
}

if (! function_exists('zayaView')) {
    function zayaView($path, array $data = [], $render = false)
    {
        if ($render) {
            return View::render($path, $data);
        }

        return View::load($path, $data);
    }
}

if (! function_exists('zayaGetAsset')) {
    function zayaGetAsset($asset)
    {
        return ZAYA_BASE_URL_ASSET . $asset;
    }
}

if (! function_exists('zayaGetPrefixAdmin')) {
    function zayaGetPrefixAdmin()
    {
        return str_replace(site_url(), '', admin_url());
    }
}

if (! function_exists('zayaGetRouteRequest')) {
    function zayaGetRouteRequest($route)
    {
        return zayaGetPrefixAdmin() . ZAYA_NAME . '/' . $route;
    }
}

if (! function_exists('zayaAllPostTypes')) {
    function zayaAllPostTypes()
    {
        $blackList = [
            'attachment',
            'revision',
            'nav_menu_item',
            'custom_css',
            'customize_changeset',
            'oembed_cache',
            'user_request',
            'wp_block',
        ];
        $postTypes = [];
        foreach (get_post_types() as $post_type) {
            if (in_array($post_type, $blackList)) {
                continue;
            }
            $postTypes[] = $post_type;
        }

        return $postTypes;
    }
}

if (! function_exists('zayaPostTypes')) {
    function zayaPostTypes()
    {
        $post_types = get_option('zaya_post_types');

        if($post_types == '') {
            return [];
        }

        if (! $post_types) {
            return zayaAllPostTypes();
        }

        return $post_types;
    }
}

if (! function_exists('zayaIsLoggedIn')) {
    function zayaIsLoggedIn()
    {
        return Auth::isLoggedIn();
    }
}