<?php

use zaya\Services\Config\Config;

$is_logged_in = zayaIsLoggedIn();
?>
<form class="zaya-style <?php echo get_locale() != 'fa_IR' ? 'en' : '' ?>" method="POST" action="">
    <input type="hidden" name="expiration_time" value="00:00">
    <div class="form-group">
        <div class="col-12 d-flex align-items-end flex-nowrap">
            <div class="input-url <?= zayaTrans('form.padding-form') ?>">
                <label>
                    <span><?php echo zayaTrans('form.link') ?></span>
                    <input <?php echo ! $is_logged_in ? 'disabled' : '' ?> style="direction: ltr" class="url"
                                                                           required type="text" name="url"
                                                                           class="regular-text"
                                                                           value="<?php echo isset($data->url) ? $data->url : ''; ?>">
                </label>
            </div>
            <div class="buttons d-flex">
                <div class="w-50 <?= zayaTrans('form.padding-form') ?>">
                    <div id="settings" class="button settings w-100">
                        <i class="dashicons-admin-generic dashicons-before"></i>
                        <span><?php echo zayaTrans('form.settings') ?></span>
                    </div>
                </div>
                <div class="w-50">
                    <button <?php echo ! $is_logged_in ? 'disabled' : '' ?> type="submit" name="submit"
                                                                            id="submit"
                                                                            class="button button-primary w-100">
                        <?php echo $_GET['page'] == \zayaConfig('app.edit_slug') ? zayaTrans('form.update') : zayaTrans('form.shorten') ?>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div class="switch">
        <div class="form-group">
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.alias') ?></span>
                    <input <?php echo ! $is_logged_in ? 'disabled' : '' ?> type="text" name="alias"
                                                                           class="regular-text"
                                                                           value="<?php echo isset($data->alias) ? $data->alias : ''; ?>">
                </label>
            </div>
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.domain') ?></span>
                    <select name="domain" id="domain"
                        <?php echo ! $is_logged_in || $_GET['page'] == \zayaConfig('app.edit_slug') ? 'disabled' : '' ?>>
                        <option value="">zaya.io</option>
                        <?php
                        foreach (\zaya\Utilities\Domain::all() as $id => $domain) {
                            $selected = (isset($data->domain) && $data->domain->id == $id) || get_option('zaya_default_domain') == $id ? 'selected' : '';
                            echo "<option $selected value='$id'>$domain</option>";
                        }
                        ?>
                    </select>
                </label>
            </div>
        </div>
        <div class="form-group">
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.expiration_url') ?></span>
                    <input <?php echo ! $is_logged_in ? 'disabled' : '' ?> style="direction: ltr" type="text"
                                                                           name="expiration_url"
                                                                           class="regular-text"
                                                                           value="<?php echo isset($data->expiration_url) ? $data->expiration_url : 'http://'; ?>">
                </label>
            </div>
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.password') ?></span>
                    <input <?php echo ! $is_logged_in ? 'disabled' : '' ?> type="text" name="password"
                                                                           aria-describedby="pass-description"
                                                                           class="regular-text"
                                                                           value="<?php echo isset($data->password) ? $data->password : ''; ?>">
                </label>
            </div>
        </div>
        <div class="form-group">
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.expiration_clicks') ?></span>
                    <input <?php echo ! $is_logged_in ? 'disabled' : '' ?> type="text"
                                                                           name="expiration_clicks"
                                                                           class="regular-text"
                                                                           value="<?php echo isset($data->expiration_clicks) ? $data->expiration_clicks : ''; ?>">
                </label>
            </div>
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.expiration_date') ?></span>
                    <input <?php echo ! $is_logged_in ? 'disabled' : '' ?> type="text" autocomplete="off"
                                                                           name="persian_date"
                                                                           class="regular-text persian-datepicker"
                                                                           value="<?php echo isset($data->ends_at) ? date('Y-m-d',
                                                                                                                          strtotime($data->ends_at)) : '' ?>">
                    <input type="hidden" name="expiration_date" class="regular-text datePersianAlt"
                           value="<?php echo isset($data->ends_at) ? strtotime($data->ends_at) : '' ?>">
                </label>
            </div>
        </div>
        <div class="form-group">
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.status') ?></span>
                    <select <?php echo ! $is_logged_in ? 'disabled' : '' ?> name="status" id="status">
                        <option selected="<?php echo isset($data->disabled) && $data->disabled == 1 ? '' : 'selected' ?>"
                                value="0"><?php echo zayaTrans('form.active') ?></option>
                        <option <?php echo isset($data->disabled) && $data->disabled == 1 ? 'selected' : '' ?>
                                value="1"><?php echo zayaTrans('form.deactivate') ?></option>
                    </select>
                </label>
            </div>
            <div class="col-6">
                <label>
                    <span><?php echo zayaTrans('form.is_public') ?></span>
                    <select <?php echo ! $is_logged_in ? 'disabled' : '' ?> name="is_public" id="is_public">
                        <option <?php echo isset($data->public) && $data->public == 1 ? '' : 'selected' ?>
                                value="0"><?php echo zayaTrans('form.no') ?></option>
                        <option <?php echo isset($data->public) && $data->public == 1 ? 'selected' : '' ?>
                                value="1"><?php echo zayaTrans('form.yes') ?></option>
                    </select>
                </label>
            </div>
        </div>
    </div>
</form>
<script>
    $(document).ready(function () {
        $('#settings').on('click', function (e) {
            e.preventDefault();
            $(this).parent().parent().parent().parent().parent().find('.switch').slideToggle();
        });
        $('.persian-datepicker').persianDatepicker({
            altField: '.datePersianAlt',
            altFormat: 'X',
            format: 'YYYY-MM-DD',
            initialValue: <?php echo $_GET['page'] == \zayaConfig('app.edit_slug') && isset($data->ends_at) ? 'true' : 'false';?>,
            initialValueType: 'gregorian',
            toolbox: {
                enabled: false
            }
            // calendarType: 'gregorian'
        });
    });
</script>