<?php

$data = get_post_meta($post_id, zayaConfig('app.key_meta_box'), true);
$data = json_decode($data, false, JSON_UNESCAPED_UNICODE);
?>
<div class="inside" style="margin-top: 5px;padding: 0 10px;">
    <div id="zaya-box">
        <strong><?php echo zayaTrans('meta-box.short_link').' ' ?></strong>
        <span id="zaya-permalink">
            <a href="<?php echo isset($data) ? $data->short_url : '#'; ?>"><?= str_replace($data->alias, '', $data->short_url) ?><span
                        id="zaya-alias"><span
                            class="slug"><?php echo isset($data) ? $data->alias : '' ?></span><input
                            style="direction:ltr;min-height: 30px;border-radius: 4px;border-width: 1px;display: none"
                            id="new_alias"
                            value="<?php echo isset($data) ? $data->alias : '' ?>"/></span>/
            </a>
        </span>
        <span id="zaya-buttons">
            <button type="button" class="edit-short-link button button-small hide-if-no-js"
                    aria-label="ویرایش پیوند کوتاه">
                <?php echo \zayaTrans('meta-box.edit') ?>
            </button>
            <button style="font-size: 11px;display: none" type="button"
                    class="cancel button-link"><?php echo zayaTrans('meta-box.cancel') ?></button>
            <a href="#" title="کپی کنید" class="zaya-shortlink button button-small" style="margin-right:10px;"
               data-url="<?=isset($data) ? $data->short_url : '#';?>">کپی کنید</a>
        </span>
        <input type="hidden" name="zaya_sort_link_id" value="<?php echo isset($data) ? $data->id : '' ?>">
        <input type="hidden" id="zaya_domain" name="zaya_domain"
               value="<?php echo isset($data->domain) ? $data->domain->id : '' ?>">
        <input type="hidden" id="zaya_new_alias" name="zaya_new_alias" value="">
    </div>
</div>

<script>
    let editBox = document.getElementById('zaya-alias');
    let oldAlias = editBox.textContent;
    let buttons = document.getElementById('zaya-buttons');
    let permalink = document.getElementById('zaya-permalink').getElementsByTagName('a')[0];
    let input = document.getElementById('new_alias');
    let cancel = buttons.getElementsByClassName('cancel')[0];
    let slug = permalink.getElementsByClassName('slug')[0];

    buttons.getElementsByClassName('edit-short-link')[0].addEventListener("click", function (e) {
        e.preventDefault();
        if (input.style.display == 'none') {
            this.textContent = '<?php echo zayaTrans('meta-box.save') ?>';
            permalink.onclick = function (e) {
                e.preventDefault();
            }
            input.style.display = 'inline-block';
            cancel.style.display = 'inline-block';
            slug.textContent = '';
        } else {
            this.textContent = '<?php echo zayaTrans('meta-box.edit')?>';
            let new_alias = document.getElementById('new_alias').value;
            input.style.display = 'none';
            cancel.style.display = 'none';
            if (oldAlias != new_alias) {
                document.getElementById('zaya_new_alias').value = new_alias;
            }
            slug.textContent = new_alias;
        }
    });
    input.onkeyup = function () {
        let new_alias = this.value;
        if (oldAlias != new_alias) {
            document.getElementById('zaya_new_alias').value = new_alias;
        } else {
            document.getElementById('zaya_new_alias').value = '';
        }
    }
    cancel.addEventListener('click', function () {
        buttons.getElementsByClassName('edit-short-link')[0].textContent = '<?php echo zayaTrans('meta-box.edit')?>';
        input.style.display = 'none';
        cancel.style.display = 'none';
        slug.textContent = oldAlias;
    });

    document.addEventListener("DOMContentLoaded", function () {
        "use strict";
        document.querySelectorAll(".zaya-shortlink").forEach(function (element) {
            element.addEventListener("click", function (e) {
                e.preventDefault();
                try {
                    let url = this.dataset.url;
                    let tempInput = document.createElement("input");
                    document.body.append(tempInput);
                    tempInput.value = url;
                    tempInput.select();
                    document.execCommand("copy");
                    tempInput.remove();
                    this.textContent = "کپی شد"
                } catch (e) {
                }
            });
        });
    });
</script>