<?php

$is_logged_in = zayaIsLoggedIn();
?>
<div class="wrap zaya-table zaya-edit">
    <h1 class="wp-heading-inline"><?php echo zayaTrans('menu.settings_page') ?></h1>
    <a href="<?php echo admin_url('admin.php?page=' . zayaConfig('app.links_slug')) ?>" class="page-title-action">
        <?php

        echo zayaTrans('settings.all_links');
        ?>
    </a>
    <hr class="wp-header-end">
    <?php \zaya\Utilities\FlashMessages::show_flash_messages(); ?>
    <form class="zaya-settings zaya-style" method="POST" action="">
        <div class="form-group col-6">
            <label>
                <span><?php echo zayaTrans('settings.api_key') ?> ( <a href="https://zaya.io/settings/api" target="_blank">دریافت کلید</a> )</span>
                <input required type="text" rows="4" name="zaya_token_Authorization" class="regular-text"
                       value="<?php echo ! empty($api = get_option('zaya_token_Authorization')) ? $api : ''; ?>">
            </label>
        </div>
        <div class="form-group col-6" style="margin-top: 15px;">
            <label>
                <span><?php echo zayaTrans('settings.default_domain') ?></span>
                <select name="zaya_default_domain" id="domain">
                    <option value="">zaya.io</option>
                    <?php
                    if ($is_logged_in) {
                        $default_domain = get_option('zaya_default_domain');
                        foreach (\zaya\Utilities\Domain::all() as $id => $domain) {
                            $selected = ! empty($default_domain) && $default_domain == $id ? 'selected' : '';
                            echo "<option $selected value='$id'>$domain</option>";
                        }
                    }
                    ?>
                </select>
            </label>
        </div>
        <div class="form-group col-6" style="margin-top: 20px;">
            <label>
                <input type="checkbox" name="show_in_posts" class="" id="show_in_posts" <?php echo get_option('zaya_show_in_posts') == 1 ? 'checked' : '' ?>>
                <span style="display: inline-block"><?php echo zayaTrans('settings.show_in_posts') ?></span>
            </label>
        </div>
        <div class="form-group col-12">
            <p style="margin-bottom: 5px"><strong><?php echo zayaTrans('settings.zaya_in_post_types') ?></strong></p>
            <p style="direction: ltr;margin-top: 5px">
                <?php
                $post_types = get_option('zaya_post_types');
                foreach (zayaAllPostTypes() as $post_type) {
                    $checked = $post_types === false || (! empty($post_types) && in_array($post_type, $post_types)) ? 'checked' : '';
                    echo '<label style="margin-right:15px;" for="' . $post_type . '">';
                    echo '<input ' . $checked . ' name="' . 'zaya_post_types' . '[]" type="checkbox" id="' . $post_type . '" value="' . $post_type . '">';
                    echo '  ' . $post_type;
                    echo '</label>';
                }
                ?>
            </p>
        </div>
        <div class="form-group">
            <button type="submit" name="submit" class="button button-primary">
                <?php echo zayaTrans('settings.save') ?>
            </button>
        </div>
    </form>
</div>
